# If the build is running on copr
%if 0%{?copr_username:1}

# define your copr_username and copr_projectname
%global scl %{copr_username}-%{copr_projectname}

# For other build systems, define the provider and the name of the SCL, e.g. myorganization-ruby193
%else
%global scl_name_prefix tkb-
%global scl_name_base musl

%global scl %{scl_name_prefix}%{scl_name_base}
%endif

%global nfsmountable 1

%global _scl_prefix /opt/tkb
%scl_package %scl

Summary: Package that installs %scl
Name: %scl
Version: 1
Release: 1%{?dist}
License: GPLv3+
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"
export PKG_CONFIG_PATH="{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}"
EOF

#mkdir -p %{buildroot}%{_mandir}/man7/
#install -p -m 644 %{scl_name}.7 %{buildroot}%{_mandir}/man7/

%files

%files runtime -f filelist
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Fri Jun 30 2023 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> 1-1
- Initial package
